<?php

namespace Drp\NativeEventApp\GraphQL;

use Drp\NativeEventApp\Auth\Facades\AuthInfoFinder;
use Drp\NativeEventApp\Contracts\TokenAuthenticatable;
use Laravel\Passport\Token;
use Lcobucci\JWT\Parser;
use Nuwave\Lighthouse\Schema\Context as LighthouseContext;

class Context extends LighthouseContext
{
    public function tokenAuthenticatable(): TokenAuthenticatable
    {
        return AuthInfoFinder::current();
    }

    public function token(): Token
    {
        $token = str_replace('Bearer ', '', $this->request()->header('Authorization'));
        $tokenId = (new Parser)->parse($token)->getClaim('jti');

        return Token::where('user_id', $this->tokenAuthenticatable()->getId())
            ->where('id', $tokenId)
            ->first();
    }
}
