<?php

namespace Drp\NativeEventApp\Notifications\Listeners;

use Drp\NativeEventApp\Notifications\Events\NotificationSendFailed;
use Drp\NativeEventApp\Notifications\Events\NotificationSendSuccess;
use Drp\NativeEventApp\Notifications\Events\SendPushNotification;
use Drp\NativeEventApp\Notifications\PushNotificationSender;
use Throwable;

class SendPushNotificationToDevice
{
    /**
     * @var PushNotificationSender
     */
    protected $pushNotificationSender;

    public function handle(SendPushNotification $event): void
    {
        try {
            $this->pushNotificationSender = new PushNotificationSender($event->notification);

            $this->pushNotificationSender->toDevice($event->device);

            event(new NotificationSendSuccess($event->notification));
        } catch (Throwable $exception) {
            event(new NotificationSendFailed($event->notification, $event->device, $exception));
        }
    }
}
