<?php

namespace Drp\NativeEventApp\Test\Api;

use Spatie\Snapshots\MatchesSnapshots;

class CreateFileUploadUrlTest extends GraphQLTestCase
{
    use MatchesSnapshots;

    /** @test */
    public function it_can_generate_a_local_file_upload_url(): void
    {
        config()->set('native-event-app.files.driver', 'local');

        $mutation = 'mutation {
            createFileUploadUrl {
              uuid,
              url,
              headers
            }
        }';

        $response = json_decode($this->authenticatedGraphQlRequest(
            $mutation
        ), true);

        $this->assertArrayHasKey('data', $response);
        $this->assertIsString($response['data']['createFileUploadUrl']['uuid']);
        $this->assertIsString($response['data']['createFileUploadUrl']['url']);
        $this->assertIsString($response['data']['createFileUploadUrl']['headers']);
    }
}
