<?php

namespace Drp\NativeEventApp\Test\Api;

use Drp\NativeEventApp\Models\Event;
use Drp\NativeEventApp\Test\InteractsWithOAuthClients;
use Drp\NativeEventApp\Test\Support\InteractsWithEvents;
use Drp\NativeEventApp\Test\TestCase;

class GraphQLTestCase extends TestCase
{
    use InteractsWithOAuthClients, InteractsWithEvents;

    /**
     * @var Event
     */
    public $event;

    public function setUp(): void
    {
        parent::setup();
        $this->setupClient();
    }

    protected function authenticatedGraphQlRequest(string $query, ?Event $event = null): string
    {
        $this->registerFakeEvent($event);

        return $this->graphQlRequest($query);
    }

    protected function graphQlRequest(string $query, ?array $headers = []): string
    {
        $response = $this->post('/graphql', ['query' => $query], $headers);

        return $response->getContent();
    }
}
