<?php

namespace Drp\NativeEventApp\Test\Unit;

use Drp\NativeEventApp\ArrayKeys;
use Drp\NativeEventApp\Test\TestCase;

class ArrayKeysTest extends TestCase
{
    /** @test */
    public function can_snake_case_keys()
    {
        $this->assertEquals(
            [
                'snake_case' => 'value_of_snake',
                'kebab_case' => 'value-of-kebab',
                'camel_case' => 'valueOfCamel',
                'title_case' => 'Value Of Title',
            ],
            ArrayKeys::snake([
                'snake_case' => 'value_of_snake',
                'kebab-case' => 'value-of-kebab',
                'camelCase' => 'valueOfCamel',
                'Title Case' => 'Value Of Title',
            ])
        );
    }

    /** @test */
    public function can_camel_case_keys()
    {
        $this->assertEquals(
            [
                'snakeCase' => 'value_of_snake',
                'kebabCase' => 'value-of-kebab',
                'camelCase' => 'valueOfCamel',
                'titleCase' => 'Value Of Title',
            ],
            ArrayKeys::camelCase([
                'snake_case' => 'value_of_snake',
                'kebab-case' => 'value-of-kebab',
                'camelCase' => 'valueOfCamel',
                'Title Case' => 'Value Of Title',
            ])
        );
    }
}
