<?php

namespace Drp\NativeEventApp\Test\Unit;

use Drp\NativeEventApp\Auth\AuthTokenGenerator;
use Drp\NativeEventApp\Auth\Facades\CodeGenerator;
use Drp\NativeEventApp\Test\InteractsWithOAuthClients;
use Drp\NativeEventApp\Test\TestCase;
use Laravel\Passport\AuthCode;

class AuthTokenGeneratorTest extends TestCase
{
    use InteractsWithOAuthClients;

    /**
     * @test
     */
    public function creates_auth_token_request_for_an_auth_identifier()
    {
        $this->setupClient();

        CodeGenerator::shouldReceive('authRequestCode')->andReturn('CODE');

        $code = app(AuthTokenGenerator::class)->generate(1);
        $this->assertEquals('CODE', $code);

        tap(AuthCode::first(), function(AuthCode $authCode) {
            $this->assertEquals('CODE', $authCode->id);
            $this->assertEquals('Test client', $authCode->client->name);
            $this->assertEquals(1, $authCode->user_id);
        });
    }
}