<?php

namespace Drp\NativeEventApp\Test\Unit;

use Drp\NativeEventApp\Models\Quiz;
use Drp\NativeEventApp\Quiz\Facades\QuizOperator;
use Drp\NativeEventApp\Test\TestCase;

class QuizTest extends TestCase
{
    /** @test */
    public function can_trigger_create()
    {
        QuizOperator::fake();
        $quiz = factory(Quiz::class)->make();

        $quiz->operator->create();

        QuizOperator::assertCreateWasTriggered($quiz);
    }

    /** @test */
    public function can_trigger_start()
    {
        QuizOperator::fake();
        $quiz = factory(Quiz::class)->make();

        $quiz->operator->start();

        QuizOperator::assertStartWasTriggered($quiz);
    }

    /** @test */
    public function can_trigger_end()
    {
        QuizOperator::fake();
        $quiz = factory(Quiz::class)->make();

        $quiz->operator->end();

        QuizOperator::assertEndWasTriggered($quiz);
    }

    /** @test */
    public function can_trigger_delete()
    {
        QuizOperator::fake();
        $quiz = factory(Quiz::class)->make();

        $quiz->operator->delete();

        QuizOperator::assertDeleteWasTriggered($quiz);
    }
}
